Bug 169140 - RHEL4 Install Guide is misguiding regarding "updates" kernel command line option
RHEL4 Install Guide is misguiding regarding "updates" kernel command line option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhl-ig-as-x86 (Show other bugs)
4.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Michael Hideo
John Ha
http://www.redhat.com/docs/manuals/en...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 11:29 EDT by Joshua Jensen
Modified: 2014-08-04 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: WEB
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 03:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2005-09-23 11:29:03 EDT
Description of problem:

Look at the "updates" section:
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/x8664-multi-install-guide/ap-bootopts.html

updates
      This command prompts you to insert a floppy diskette containing
      updates (bug fixes). It is not needed if you are performing a network
      installation and have already placed the updates image contents in
      RHupdates/ on the server.


This clearly conflicts with reality and anaconda/docs/install-methods.txt.
The Install Guide incorrectly hints at *RPM* updates being supported by
updates.img or RHupdates/ while in fact those mechanisms are just for updating
*anaconda* code itself.

Version-Release number of selected component (if applicable):

RHEL4 U2 beta
Comment 1 Joshua Jensen 2005-12-28 11:15:09 EST
Ping?   Hello???
Comment 3 RHEL Product and Program Management 2006-08-16 15:11:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this enhancement by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This enhancement is not yet committed for inclusion in an Update
release.
Comment 4 Joshua Jensen 2006-08-16 15:42:00 EDT
OK thanks for that RHEL PM.  Let us know when you allow the coders or docs
people to actually fix the problem.
Comment 7 Joshua Wulf 2006-12-04 16:49:34 EST
This has been fixed in the RHEL5 documentation
Comment 10 Joshua Wulf 2007-01-01 06:14:59 EST
We're in the process of converting the RHEL 4 documentation over to xml. Once
that is done we can put this change in and republish.
Comment 11 Daniel Riek 2007-01-09 19:08:26 EST
Proposing for FasTrack
Comment 12 Joshua Jensen 2007-01-09 19:57:01 EST
No point... FasTrack only "fixes" it for people who remember to get it.  *I*
know that the docs are mis-leading... I submitted the bug.  Fixing this doc bug
for everyone else should happen in RHEL 4.5 or 4.6, IMHO
Comment 13 Joshua Wulf 2007-01-23 04:07:26 EST
RHEL 4 documentation is converted to xml. We're tidying it up and this change
will be introduced soon.
Comment 16 Joshua Wulf 2007-02-18 20:51:52 EST
Here's the new text: 

"This command prompts you to insert a floppy diskette containing updates (bug
fixes) for the anaconda installer. It is not needed if you are performing a
network installation and have already placed the updates image contents in
RHupdates/ on the server."

Copying jfearn in to get an idea on the eta of publication.
Comment 17 Joshua Jensen 2007-02-19 13:53:21 EST
Looks a bit better, thanks.
Comment 18 Jeff Fearn 2007-04-19 01:03:39 EDT
Removing myself as I have nothing to do with publication on redhat.com
Comment 21 Michael Hideo 2007-06-06 01:03:27 EDT
Adding ecs-dev-list@redhat.com for wider coverage
Comment 24 Michael Hideo 2007-08-02 20:38:47 EDT
[mhideo@mhideo enterprise]$ cvs commit -m"BZ169140" index.html
**** Access allowed: Personal Karma exceeds Environmental Karma.
Checking in index.html;
/cvs/web/docs/manuals/enterprise/index.html,v  <--  index.html
new revision: 1.79; previous revision: 1.78
done
Running syncmail...
Mailing webdev-spam-list@redhat.com...
...syncmail done.
Comment 25 Michael Hideo 2007-08-06 01:12:13 EDT
Correction to updates can be accessed here:

http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/rhel-ig-x8664-multi-en-4/ap-bootopts.html

I have requested the removal of the previous page from traffic@redhat.com

- Mike

(In reply to comment #24)
> [mhideo@mhideo enterprise]$ cvs commit -m"BZ169140" index.html
> **** Access allowed: Personal Karma exceeds Environmental Karma.
> Checking in index.html;
> /cvs/web/docs/manuals/enterprise/index.html,v  <--  index.html
> new revision: 1.79; previous revision: 1.78
> done
> Running syncmail...
> Mailing webdev-spam-list@redhat.com...
> ...syncmail done.
Comment 26 Joshua Jensen 2007-08-06 10:23:40 EDT
much better, thank you

Note You need to log in before you can comment on or make changes to this bug.